package objects;

import java.net.URL;
import java.util.Map;
import java.util.ResourceBundle;

import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.TableColumn;
import javafx.scene.control.cell.MapValueFactory;

@SuppressWarnings("rawtypes")
public class TestTableRow extends RaceTableRow implements Initializable {

	private float horseAvgModified;
	private float driverAvgModified;
	private float horseAvgDistanceModified;
	private float driverAvgDistanceModified;
	private float custom;
	private float combined;

	private int horseDaysLastRace;
	private int driverDaysLastRace;
	private int bothDaysLastRace;

	@FXML TableColumn<Map, Float> horseAvarageWithModifiersColumn = new TableColumn<>("horseAvgModified");
	@FXML TableColumn<Map, Float> driverAvarageWithModifiersColumn = new TableColumn<>("driverAvgModified");
	@FXML TableColumn<Map, Float> horseAvarageDistanceModifiedColumn = new TableColumn<>("horseAvgDistanceModified");
	@FXML TableColumn<Map, Float> driverAvarageDistanceModifiedColumn = new TableColumn<>("driverAvgDistanceModified");

	@FXML TableColumn<Map, Float> horseDaysLastRaceColumn = new TableColumn<>("horseDaysLastRace");
	@FXML TableColumn<Map, Float> driverDaysLastRaceColumn = new TableColumn<>("driverDaysLastRace");
	@FXML TableColumn<Map, Float> horseDriverDaysLastRaceColumn = new TableColumn<>("bothDaysLastRace");

	@FXML TableColumn<Map, Float> combinedColumn = new TableColumn<>("Custom");
	@FXML TableColumn<Map, Float> customColumn = new TableColumn<>("Combined");

	@Override
	public void initialize(URL arg0, ResourceBundle arg1) {
		super.initialize(arg0, arg1);
		horseAvarageWithModifiersColumn.setCellValueFactory(new MapValueFactory<>("horseAvgModified"));
		driverAvarageWithModifiersColumn.setCellValueFactory(new MapValueFactory<>("driverAvgModified"));
		customColumn.setCellValueFactory(new MapValueFactory<>("custom"));
		combinedColumn.setCellValueFactory(new MapValueFactory<Float>("combined"));

		driverAvarageDistanceModifiedColumn.setCellValueFactory(new MapValueFactory<>("driverAvgDistanceModified"));
		horseAvarageDistanceModifiedColumn.setCellValueFactory(new MapValueFactory<>("horseAvgDistanceModified"));

		horseDaysLastRaceColumn.setCellValueFactory(new MapValueFactory<>("horseDaysLastRace"));
		driverDaysLastRaceColumn.setCellValueFactory(new MapValueFactory<>("driverDaysLastRace"));
		horseDriverDaysLastRaceColumn.setCellValueFactory(new MapValueFactory<>("bothDaysLastRace"));

	}

	public TestTableRow() {
		super();
	}

	public float getHorseAvgModified() {
		return horseAvgModified;
	}
	public float getDriverAvgModified() {
		return driverAvgModified;
	}
	public float getHorseAvgDistanceModified() {
		return horseAvgDistanceModified;
	}
	public float getDriverAvgDistanceModified() {
		return driverAvgDistanceModified;
	}
	public float getCustom() {
		return custom;
	}
	public float getCombined() {
		return combined;
	}
	public int getHorseDaysLastRace() {
		return horseDaysLastRace;
	}
	public int getDriverDaysLastRace() {
		return driverDaysLastRace;
	}
	public int getBothDaysLastRace() {
		return bothDaysLastRace;
	}
	public void setHorseAvgModified(float horseAvgModified) {
		this.horseAvgModified = horseAvgModified;
	}
	public void setDriverAvgModified(float driverAvgModified) {
		this.driverAvgModified = driverAvgModified;
	}
	public void setHorseAvgDistanceModified(float horseAvgDistanceModified) {
		this.horseAvgDistanceModified = horseAvgDistanceModified;
	}
	public void setDriverAvgDistanceModified(float driverAvgDistanceModified) {
		this.driverAvgDistanceModified = driverAvgDistanceModified;
	}
	public void setCustom(float custom) {
		this.custom = custom;
	}
	public void setCombined(float combined) {
		this.combined = combined;
	}
	public void setHorseDaysLastRace(int horseDaysLastRace) {
		this.horseDaysLastRace = horseDaysLastRace;
	}
	public void setDriverDaysLastRace(int driverDaysLastRace) {
		this.driverDaysLastRace = driverDaysLastRace;
	}
	public void setBothDaysLastRace(int bothDaysLastRace) {
		this.bothDaysLastRace = bothDaysLastRace;
	}


}
